# $Revision: 1.21 $, $Date: 2010/06/06 08:32:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	LZV1
Summary:	Compress::LZV1 Perl module - extremely leight-weight Lev-Zimpel-Vogt compression
Summary(pl.UTF-8):	Moduł Perla Compress::LZV1 - ekstremalnie lekka kompresja Lev-Zimpel-Vogt
Name:		perl-Compress-LZV1
Version:	0.04
Release:	7
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1e6ee23a325a5f1475052576280d7250
URL:		http://search.cpan.org/dist/Compress-LZV1/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZV1 is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to
save *some* space but not at the cost of speed. It is ideal for
repetitive data as well. The module is self-contained and very small
(no large library to be pulled in). It is also free, so there should
be no problems incoporating this module into commercial programs. It
is believed that it is free from any patents.

%description -l pl.UTF-8
LZV1 jest ekstremalnie szybkim (nie tak dużo wolniejszym od memcpy)
algorytmem kompresji. Jest idealny dla programów, które chcą
zaoszczędzić *trochę* miejsca, ale nie kosztem szybkości. Jest idealny
dla powtarzających się danych. Moduł jest mały i nie wymaga żadnej
dodatkowej dużej biblioteki. Jest wolnodostępny, więc nie powinno być
problemów z wykorzystaniem go w komercyjnych programach. Według
aktualnego stanu wiedzy jest wolny od patentów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/LZV1.pm
%dir %{perl_vendorarch}/auto/Compress/LZV1
%{perl_vendorarch}/auto/Compress/LZV1/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/LZV1/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-LZV1.spec,v $
Revision 1.21  2010/06/06 08:32:16  arekm
- release 7

Revision 1.20  2009/03/14 11:24:12  hawk
- release 6

Revision 1.19  2008/03/15 17:08:22  qboosh
- generic URL

Revision 1.18  2008-02-23 22:00:49  glen
- release 5

Revision 1.17  2008-02-10 12:02:21  arekm
- rel 4

Revision 1.16  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.15  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:10  paladine
- formatting

Revision 1.12  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 11:01:47  ankry
- tests added, cosmetics

Revision 1.8  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.7  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:17  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 01:18:45  qboosh
- new

